// =======================================================================
// ButtonPanel.java
// By Patrick Yukman
// For the GreenCube 4 mission at Dartmouth College
// Headed by Kristina Lynch
//
// Purpose and Operation: This file defines the panel that maintains
//     buttons and listeners corresponding to each of the Squidbee
//     objects. This will allow a user to click on a button and see the
//     respective duck's data appear on the analog graphing surface.
// =======================================================================

import java.awt.Color;
import java.awt.Dimension;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.Box;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.BoxLayout;


public class ButtonPanel extends JPanel {
	static final long serialVersionUID = 0;								// to suppress warnings
	JButton a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t; // 20 buttons, 1 per duck
	AnalogGrapher aDisplay;												// analog graphing panel
	
	
	// Constructor for the panel. Forms the buttons, adds the listeners, and builds a little bit
	// of vertical space between each button (spacing only works correctly on MacOS X. Buttons
	// will still work in other OS's, but the graphical alignment will be off).
	
	public ButtonPanel(int w, int he, AnalogGrapher aD) {
		aDisplay = aD;
		ActionListener listener = new ButtonListener();
		setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));
		setBackground(Color.gray);
		setPreferredSize(new Dimension(w,he));
		a = new JButton("Axl");
		b = new JButton("Buddy");
		c = new JButton("Chuck");
		d = new JButton("Diana");
		e = new JButton("Ella");
		f = new JButton("Freddie");
		g = new JButton("George");
		h = new JButton("Hendrix");
		i = new JButton("Iggy");
		j = new JButton("Janis");
		k = new JButton("Kurt");
		l = new JButton("Lynyrd");
		m = new JButton("Madonna");
		n = new JButton("Norah");
		o = new JButton("Ozzy");
		p = new JButton("Page");
		q = new JButton("Queen");
		r = new JButton("Ricky");
		s = new JButton("Stevie");
		t = new JButton("Tina");
		a.addActionListener(listener);
		b.addActionListener(listener);
		c.addActionListener(listener);
		d.addActionListener(listener);
		e.addActionListener(listener);
		f.addActionListener(listener);
		g.addActionListener(listener);
		h.addActionListener(listener);
		i.addActionListener(listener);
		j.addActionListener(listener);
		k.addActionListener(listener);
		l.addActionListener(listener);
		m.addActionListener(listener);
		n.addActionListener(listener);
		o.addActionListener(listener);
		p.addActionListener(listener);
		q.addActionListener(listener);
		r.addActionListener(listener);
		s.addActionListener(listener);
		t.addActionListener(listener);
		add(Box.createRigidArea(new Dimension (0,30)));
		add(a);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(b);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(c);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(d);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(e);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(f);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(g);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(h);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(i);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(j);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(k);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(l);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(m);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(n);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(o);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(p);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(q);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(r);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(s);
		add(Box.createRigidArea(new Dimension (0,1)));
		add(t);
	}
	
	
	// Public method to allow repainting of the ButtonPanel
	
	public void draw() {
		this.repaint();
	}
	
	
	// Private inner class to act as a listener for the buttons
	private class ButtonListener implements ActionListener {  
		
	    public void actionPerformed(ActionEvent event) {
	    	// Find which button was clicked, and force the analog grapher to display that
	    	// duck's data
	    	Object source = event.getSource();
	    	if (source == a) {
	    		aDisplay.changeFile(0);
	    	} 
	    	else if (source == b) {
	    		aDisplay.changeFile(1);
	    	}
	    	else if (source == c) {
	    		aDisplay.changeFile(2);
	    	}
	    	else if (source == d) {
	    		aDisplay.changeFile(3);
	    	}
	    	else if (source == e) {
	    		aDisplay.changeFile(4);
	    	}
	    	else if (source == f) {
	    		aDisplay.changeFile(5);
	    	}
	    	else if (source == g) {
	    		aDisplay.changeFile(6);
	    	}
	    	else if (source == h) {
	    		aDisplay.changeFile(7);
	    	}
	    	else if (source == i) {
	    		aDisplay.changeFile(8);
	    	}
	    	else if (source == j) {
	    		aDisplay.changeFile(9);
	    	}
	    	else if (source == k) {
	    		aDisplay.changeFile(10);
	    	}
	    	else if (source == l) {
	    		aDisplay.changeFile(11);
	    	}
	    	else if (source == m) {
	    		aDisplay.changeFile(12);
	    	}
	    	else if (source == n) {
	    		aDisplay.changeFile(13);
	    	}
	    	else if (source == o) {
	    		aDisplay.changeFile(14);
	    	}
	    	else if (source == p) {
	    		aDisplay.changeFile(15);
	    	}
	    	else if (source == q) {
	    		aDisplay.changeFile(16);
	    	}
	    	else if (source == r) {
	    		aDisplay.changeFile(17);
	    	}
	    	else if (source == s) {
	    		aDisplay.changeFile(18);
	    	}
	    	else if (source == t) {
	    		aDisplay.changeFile(19);
	    	}
	    }
	}
}