// =======================================================================
// Darkwing_Ducks.java
// By Patrick Yukman
// For the GreenCube 4 "Duckey" mission at Dartmouth College
// Headed by Kristina Lynch
//
// Purpose and Operation: This program contains the main method for 
//     execution of the "Darkwing DUCKS" software. The basic premise of
//     the software is to handle data from two ground station radios in
//     real time, both of which are receiving data from 10 "ducks" at
//     once. This software parses the raw data files in real time, 
//     displaying information about each payload's GPS position and
//     signal, indicating whether valid data is being received, and
//     graphing the last ~20 data points from a selected payload's mag 
//     and acc. It also manages and maintains a set of files that allow 
//     the ducks to be monitored in real time from a Google Earth map.
// =======================================================================

import java.io.IOException;

public class Darkwing_Ducks {
	public static void main(String args[]) {
		GPS_Manager like_a_boss = new GPS_Manager();
		try {
			like_a_boss.manageData();
		}
		catch (IOException e) {}
	}
}